## openvpn 2.3.4

=== debian/changelog ===
openvpn (2.3.4-5) unstable; urgency=high

  * Apply upstream patch that fixes possible DoS by authenticated
    clients. CVE-2014-8104
  * Patch sample certs since they were expired and made the package
    build fail. (Closes: #770835)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 01 Dec 2014 16:10:37 +0100

openvpn (2.3.4-4) unstable; urgency=medium

  * Use dh-systemd in order to enable the service unit.
    (Closes: #768411)
  * Add comment on /etc/default/openvpn file about options
    not supported on systemd. (Closes: #768384)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 07 Nov 2014 13:59:54 +0100

openvpn (2.3.4-3) unstable; urgency=medium

  * Apply patch by Samuel Thibault to clean up temporary files.
    (Closes: #764651). Thanks Samuel!

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 13 Oct 2014 18:24:03 +0200

openvpn (2.3.4-2) unstable; urgency=medium

  * openvpn.service. Remove ExecStop, add ExecReload.
    Fixes reload of openvpn service. (Closes: #763411)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 30 Sep 2014 13:05:45 +0200

openvpn (2.3.4-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release. (Closes: #752568)
  * Add Turkish debconf translation. (Closes: #759879)
  * Replace openvpn-systemd-helper with a systemd generator.
    Thanks Ondřej Surý, Ansgar Burchardt and postgresql-common for
    the ideas, help and inspiration.
  * Bumped Standards-Version to 3.9.5
  * debian/control: Add Vcs-*

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 02 Sep 2014 12:06:06 +0200

openvpn (2.3.3-1) experimental; urgency=medium

  * Install tmpfiles.d configuration to create /run/openvpn in
    systemd. Properly fixing #741938.
  * Add reload to openvpn@.service. (Closes: #747840)
  * New upstream release
  * New openvpn.service to override LSB script when running systemd.
    (Closes: #700888)
  * Apply patch from upstream's BTS to improve systemd detection.
    (Closes: #747265)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 17 Mar 2014 19:40:12 +0100

openvpn (2.3.2-9) unstable; urgency=medium

  * Create /run/openvpn in init script even if no VPN is
    autostarted by it. (Closes: #741938)
  * Fix systemd detection based on /run/systemd/system.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 17 Mar 2014 15:40:02 +0100

openvpn (2.3.2-8) unstable; urgency=medium

  * Add support for systemd. (Closes: #700888)
    Add openvpn@.service and --enable-systemd to ./configure.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 14 Mar 2014 12:59:57 +0100

openvpn (2.3.2-7) unstable; urgency=low

  * Fix postinst when no *.pid files exist in /run/sendsigs.omit.d/.
    (Closes: #730679)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 28 Nov 2013 13:05:31 +0100

openvpn (2.3.2-6) unstable; urgency=low

  * Move PID and status files to openvpn subdir in /run.
    (Closes: #614036). Thanks Stephen Gildea for the patch and Simon Deziel
    for the upgrade path.
  * Add --enable-x509-alt-username option to ./configure

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 27 Nov 2013 13:58:33 +0100

openvpn (2.3.2-5) unstable; urgency=low

  * Patch init script to fix race conditions on restarts.
    (Closes: #716794). Thanks Simon Deziel for the patch.
  * Improve update-resolv-conf script. Thanks Thomas Hood
    for the patch. (Closes: #721082)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 15 Jul 2013 16:10:59 +0200
