## openvpn 2.3.7

=== debian/changelog ===
openvpn (2.3.7-1ubuntu1) wily; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests
    - Run openvpn@.service before systemd-user-sessions.service to avoid
      gettys and lightdm starting on top of possible password prompts. This
      provides the equivalent of the init.d script's X-Start-Before:.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Jul 2015 12:28:54 +0200

openvpn (2.3.7-1) unstable; urgency=medium

  * New upstream version
  * Add --no-block to if-up.d script to avoid hanging boot on
    interfaces with openvpn instances. (Closes: #787090, #785200)
  * Add ProtectSystem=yes to systemd's service file. (Closes: #771626)
  * Removed upstream applied patches:
     - 0001-Drop-too-short-control-channel-packets-instead-of-as.patch
     - update_sample_certs.patch

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 01 Jul 2015 13:19:26 +0200

openvpn (2.3.5-1) unstable; urgency=medium

  * New upstream release. Removed patches applied upstream:
    client_connect_tmp_files.patch 
    better_systemd_detection.patch
  * Add Build-Depends on libsystemd-daemon-dev.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 29 Oct 2014 17:44:06 +0100

openvpn (2.3.4-5ubuntu1) wily; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests
    - Run openvpn@.service before systemd-user-sessions.service to avoid
      gettys and lightdm starting on top of possible password prompts. This
      provides the equivalent of the init.d script's X-Start-Before:.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 May 2015 15:35:52 +0200

openvpn (2.3.2-9ubuntu4) vivid; urgency=medium

  * Run openvpn@.service before systemd-user-sessions.service to avoid gettys
    and lightdm starting on top of possible password prompts. This provides
    the equivalent of the init.d script's X-Start-Before:.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Apr 2015 16:09:01 -0500

openvpn (2.3.2-9ubuntu3) vivid; urgency=medium

  * Add better_systemd_detection.patch to avoid calling systemd-ask-password
    under upstart. Backported from upstream. (Closes: #747265)
  * Add systemd unit and generator from current Debian package. This avoids
    using the init.d script, which unnecessarily blocks lightdm startup on the
    network becoming online even if there are no auto-start connections
    (LP: #1443489).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Apr 2015 11:22:56 -0500

openvpn (2.3.2-9ubuntu2) vivid; urgency=medium

  * SECURITY UPDATE: server denial of service via too-short control channel
    packets
    - debian/patches/CVE-2014-8104.patch: drop too-short control channel
      packets instead of asserting out in src/openvpn/ssl.c.
    - CVE-2014-8104
  * debian/patches/update_certs.patch: update test certs to fix FTBFS.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 01 Dec 2014 15:26:58 -0500

openvpn (2.3.2-9ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests
    - Patch libtool.m4 and configure to support ppc64el.
    - Refresh delta with debian/openvpn.init.d:
      + Make stop action reliable by killing if needed
        (LP: #1274254, LP: #1200519)
      + Use new path for status file (LP: #1261088)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 May 2014 16:00:55 -0400

openvpn (2.3.2-7ubuntu3) trusty; urgency=medium

  [ Simon Deziel ]
  * Refresh delta with debian/openvpn.init.d:
   - Make stop action reliable by killing if needed
     (LP: #1274254, LP: #1200519)
   - Use new path for status file (LP: #1261088)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 04 Feb 2014 09:31:39 -0500

openvpn (2.3.2-7ubuntu2) trusty; urgency=medium

  * Patch libtool.m4 and configure to support ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Dec 2013 12:32:35 +0100

openvpn (2.3.2-7ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 02 Dec 2013 18:14:42 -0500

openvpn (2.3.2-5ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 21 Oct 2013 13:07:37 -0400
