## openvpn 2.3.7-1maemo1

=== debian/changelog ===
openvpn (5:2.3.7-1maemo1) unstable; urgency=low

  * Updated to 2.3.7 release

 -- Xes <xes.maemo@gmail.com>  Mon, 07 Jul 2015 00:01:04 +0200

openvpn (5:2.3.6-1maemo1) unstable; urgency=low

  * Updated to 2.3.6 release
  * Added easy-rsa 3.0.0 rc2

 -- Xes <xes.maemo@gmail.com>  Mon, 18 May 2015 00:01:04 +0200
