## openvpn 2.3.7-1maemo2

=== debian/changelog ===
openvpn (5:2.3.7-1maemo2) unstable; urgency=low

  * Dropped old patches
  * Upstream fix: --daemon option fails on 2.3.7
  * Upstream fix: --askpass not allowing for password input via stdin
  * Upstream fix: --management-hold causes PID file to not be written

 -- Xes <xes.maemo@gmail.com>  Thu, 23 Jul 2015 00:02:26 +0200
