=== debian/control ===
Source: openvpn
Section: net
Priority: optional
Maintainer: Xes <xes.maemo@gmail.com>
Build-Depends: debhelper (>= 5), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt (>= 0.45)
Standards-Version: 3.9.1

Package: openvpn
Architecture: any
Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, libssl0.9.8 (>= 0.9.8g-9), net-tools
Suggests: openssl, resolvconf
Description: virtual private network daemon
 OpenVPN is an application to securely tunnel IP networks over a
 single UDP or TCP port. It can be used to access remote sites, make
 secure point-to-point connections, enhance wireless security, etc.
 .
 OpenVPN uses all of the encryption, authentication, and certification
 features provided by the OpenSSL library (any cipher, key size, or
 HMAC digest).
 .
 OpenVPN may use static, pre-shared keys or TLS-based dynamic key exchange. It
 also supports VPNs with dynamic endpoints (DHCP or dial-up clients), tunnels
 over NAT or connection-oriented stateful firewalls (such as Linux's iptables).
