## openvpn 2.3.10

=== debian/changelog ===
openvpn (2.3.10-1ubuntu2.1) xenial-security; urgency=medium

  * SECURITY UPDATE: birthday attack when using 64-bit block cipher
    - debian/patches/CVE-2016-6329.patch: print warning if 64-bit cipher is
      selected in src/openvpn/crypto.c, src/openvpn/crypto_openssl.c,
      src/openvpn/crypto_polarssl.c, tests/t_lpback.sh.
    - CVE-2016-6329
  * SECURITY UPDATE: DoS due to Exhaustion of Packet-ID counter
    - debian/patches/CVE-2017-7479-pre.patch: merge
      packet_id_alloc_outgoing() into packet_id_write() in
      src/openvpn/crypto.c, src/openvpn/packet_id.c,
      src/openvpn/packet_id.h.
    - debian/patches/CVE-2017-7479.patch: drop packets instead of assert
      out if packet id rolls over in src/openvpn/crypto.c,
      src/openvpn/packet_id.c, src/openvpn/packet_id.h.
    - CVE-2017-7479
  * SECURITY UPDATE: Remotely-triggerable ASSERT() on malformed IPv6 packet
    - debian/patches/CVE-2017-7508.patch: remove assert in
      src/openvpn/mss.c.
    - CVE-2017-7508
  * SECURITY UPDATE: Remote-triggerable memory leaks
    - debian/patches/CVE-2017-7512.patch: fix leaks in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7512
  * SECURITY UPDATE: Pre-authentication remote crash/information disclosure
    for clients
    - debian/patches/CVE-2017-7520.patch: prevent two kinds of stack buffer
      OOB reads and a crash for invalid input data in src/openvpn/ntlm.c.
    - CVE-2017-7520
  * SECURITY UPDATE: Potential double-free in --x509-alt-username and
    memory leaks
    - debian/patches/CVE-2017-7521.patch: fix double-free in
      src/openvpn/ssl_verify_openssl.c.
    - CVE-2017-7521
  * SECURITY UPDATE: DoS in establish_http_proxy_passthru()
    - debian/patches/establish_http_proxy_passthru_dos.patch: fix
      null-pointer dereference in src/openvpn/proxy.c.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 22 Jun 2017 10:32:09 -0400

openvpn (2.3.10-1ubuntu2) xenial; urgency=medium

  * debian/openvpn@.service: Add --script-security similar to what got added
    to debian/openvpn.init.d ages ago (see LP #260291). (LP: #1454725)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 02 Feb 2016 13:33:39 +0100

openvpn (2.3.10-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable (LP: #1536568). Remaining Ubuntu changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
        (LP #260291)
    - Demote easy-rsa to Suggests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 11:37:08 +0100

openvpn (2.3.10-1) unstable; urgency=medium

  * New upstream release. (Closes: #804368)
    Drop password_prompt_in_systemd.patch. Applied upstream.
  * Unify pidfile path on systemd and sysV. (Closes: #811010)
    Thanks Guillem Jover for noticing.
  * Increase start-stop-daemon timeout on stop to let openvpn
    tear down the connection properly in some cases.
    (Closes: #799592, #796914)
  * Add CAP_AUDIT_WRITE to openvpn@.service CapabilityBoundingSet
    to fix auth-pam plugin. (Closes: #795313)
  * Patch from Martin Pitt to start OpenVPN before user sessions
    to avoid hidding possible password prompts. (Closes: #803032)
  * Make another copy of t_client.sh to help keeping the build
    environment clean. (Closes: #765447)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 20 Jan 2016 12:01:36 +0100

openvpn (2.3.8-1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests
    - Run openvpn@.service before systemd-user-sessions.service to avoid
      gettys and lightdm starting on top of possible password prompts. This
      provides the equivalent of the init.d script's X-Start-Before:.
      (Closes: #803032)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 04 Jan 2016 11:48:31 +0100

openvpn (2.3.8-1) unstable; urgency=medium

  * New upstream release. Drop patch from 2.3.7-2.
    Hopefully (Closes: #791829)
  * Apply upstream fix for systemd password prompt that
    delayed this upload. Sorry SysV users.
  * debian/rules: remove obsolete options (*-path) to configure
  * openvpn@.service: Use KillMode=mixed to fix signaling of some plugins.
    (Closes: #792907). Also add PrivateTmp & LimitNPROC options.
    Thanks Daniel Hahler for the patch.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 28 Oct 2015 17:34:26 +0100

openvpn (2.3.7-2ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn.init.d:
      + Do not use start-stop-daemon and </dev/null to avoid blocking boot.
      + Show per-VPN result messages.
      + Add "--script-security 2" by default for backwards compatabliity.
    - Demote easy-rsa to Suggests
    - Run openvpn@.service before systemd-user-sessions.service to avoid
      gettys and lightdm starting on top of possible password prompts. This
      provides the equivalent of the init.d script's X-Start-Before:.
      (Closes: #803032)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Oct 2015 09:32:31 +0100

openvpn (2.3.7-2) unstable; urgency=medium

  * Move libsystemd-daemon-dev Build-Dep to libsystemd-dev.
    Add Build-Dep on systemd. (Closes: #791904)
  * Bumped Standards-Version to 3.9.6
  * Apply upstream patch to fix stdin password prompt.
    (Closes: #791829)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 08 Sep 2015 08:23:19 +0000
