=== debian/watch ===
version=3
http://swupdate.openvpn.net/community/releases/ openvpn-(.*)\.tar\.gz
