## openvpn 2.3.10-1maemo1

=== debian/changelog ===
openvpn (5:2.3.10-1maemo1) unstable; urgency=low

  * Updated to 2.3.10 release
  * Added easy-rsa 3.0.1 and removed easyrsa 3.0.0 rc2

 -- Xes <xes.maemo@gmail.com>  Mon, 22 Jan 2015 00:01:04 +0200
