## openvpn 2.3.11

=== debian/changelog ===
openvpn (2.3.11-1ubuntu2) yakkety; urgency=medium

  * debian/control: Actually drop the initscripts dependency.
    (Closes: #804968)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Jun 2016 16:54:51 +0200

openvpn (2.3.11-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/openvpn@.service: Add "--script-security 2" similar to what got
      added to debian/openvpn.init.d ages ago (see LP: #260291).
    - Demote easy-rsa to Suggests (universe package).
  * Drop intrusive changes (showing per-VPN result messages) from
    debian/openvpn.init.d. This isn't being used under systemd.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 20 May 2016 17:30:27 +0200

openvpn (2.3.11-1) unstable; urgency=medium

  * New upstream release.
  * tun.c: patch to fix FTBFS in kfreebsd. (Closes: #815283)
    Thanks Steven Chamberlain for the patch.
  * README.Debian: Document limits in the service file.
    (Closes: #819919, #823621)
  * Removed versioned dependency on initscripts. (Closes: #804968)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 10 May 2016 17:41:53 +0200
