=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: openvpn
 Section: net
 Priority: optional
-Maintainer: Xes <xes.maemo@gmail.com>
-Build-Depends: debhelper (>= 5), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, quilt (>= 0.45)
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
+Build-Depends: debhelper (>= 7.0.50~), libssl-dev (>> 0.9.8g-9), liblzo2-dev, libpam0g-dev, libpkcs11-helper1-dev, pkg-config, dpkg-dev (>= 1.16.1), iproute2 [linux-any], net-tools [!linux-any], dh-systemd (>= 1.5), libsystemd-dev [linux-any], systemd [linux-any]
+Standards-Version: 3.9.6
+Homepage: http://www.openvpn.net/
+Vcs-Git: git://anonscm.debian.org/collab-maint/openvpn.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openvpn.git
 
 Package: openvpn
 Architecture: any
-Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, libssl0.9.8 (>= 0.9.8g-9), net-tools
-Suggests: openssl, resolvconf
+Depends: debconf | debconf-2.0, ${shlibs:Depends}, ${misc:Depends}, iproute2 [linux-any], net-tools [!linux-any]
+Suggests: openssl, resolvconf, easy-rsa
 Description: virtual private network daemon
  OpenVPN is an application to securely tunnel IP networks over a
  single UDP or TCP port. It can be used to access remote sites, make
