## openvpn 2.4.0

=== debian/changelog ===
openvpn (2.4.0-6+deb9u5) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS Security Team.

  [ Carlos Henrique Lima Melara ]
  * Generate sample certificates before testing.
      - debian/control: add openssl as a build dependency.
      - debian/rules: run the script to generate the certificates before
        executing dh_auto_test.
  * debian/gbp.conf: add file with minimal settings and debian/stretch default.
  * debian/patches/:
      - 887-fix-ncp-on-reconnect.patch: remove carriage returns.
      - CVE-2024-5594-1.patch: import and backport patch to fix vulnerability.
          + CVE-2024-5594: control channel: refuse control channel messages
            with nonprintable characters in them.
      - CVE-2024-5594-2.patch: import and backport patch to fix a regression
        introduced in CVE-2024-5594-1.patch.
          + Allow trailing \r and \n in control channel message.
  * debian/salsa-ci.yml: add (E)LTS pipeline for stretch.

  [ Aquila Macedo ]
  * d/salsa-ci: disable gbp setup-gitattributes

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Tue, 09 Sep 2025 22:20:49 -0300

openvpn (2.4.0-6+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2017-12166: buffer overflow in key-method 1.
  * CVE-2020-11810: connection drop upon packet injection.
  * CVE-2020-15078: authentication bypass with deferred auth.
  * CVE-2022-0547: authentication bypass with multiple deferred auth schemes.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 29 Apr 2022 13:16:49 +0200

openvpn (2.4.0-6+deb9u3) stretch; urgency=medium

  * Fix NCP behaviour on TLS reconnect, causing "AEAD Decrypt error: cipher
    final failed" errors (Closes: #909430, #910937)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 14 Oct 2018 22:55:44 +0200

openvpn (2.4.0-6+deb9u2) stretch; urgency=medium

  * Fix broken reconnect on connection loss due to wrong push digest calculation.
    Thanks to Patrick Matthäi for testing (Closes: #863110)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 18 Jul 2017 22:15:17 +0200

openvpn (2.4.0-6+deb9u1) stretch-security; urgency=high

   * SECURITY UPDATE: (Closes: #865480)
     - CVE-2017-7508.patch. Fix remotely-triggerable ASSERT() on malformed IPv6
       packet.
     - CVE-2017-7520.patch. Prevent two kinds of stack buffer OOB reads and a
       crash for invalid input data.
     - CVE-2017-7521.patch. Fix potential double-free in --x509-alt-username.
     - CVE-2017-7521bis.patch. Fix remote-triggerable memory leaks.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 22 Jun 2017 18:00:56 +0200

openvpn (2.4.0-6) unstable; urgency=medium

  * Apply upstream patch to fix shrinking MTU sizes on reconnects causing not
    usable VPN tunnels.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 22 May 2017 14:59:49 +0200

openvpn (2.4.0-5) unstable; urgency=high

  * Change typo fix in command line help.
  * SECURITY UPDATE: pre-authentication denial-of-service vulnerability
    (both client and server) from a too-large control packet.
    - debian/patches/CVE-2017-7478.patch: Do not assert on too-large
      control packet
    - CVE-2017-7478
  * SECURITY UPDATE: authenticated remote DoS vulnerability due to
    packet ID rollover
    - debian/patches/CVE-2017-7479-prereq.patch: merge
      packet_id_alloc_outgoing() into packet_id_write()
    - debian/patches/CVE-2017-7479.patch: do not assert when packet ID
      rollover occurs
    - CVE-2017-7479
  * SECURITY UPDATE: auth tokens left in memory after de-auth
    - debian/patches/wipe_tokens_on_de-auth.patch: always wipe token
      as soon as a TLS session is considered broken.
   * Kudos to Steve Beattie <sbeattie@ubuntu.com> for doing all the
     backporting work for this upload.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 11 May 2017 14:15:21 +0200

openvpn (2.4.0-4) unstable; urgency=medium

  * Add NEWS entries on possible 2.4 migration issues.
    (Closes: #852381, #849909)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 02 Feb 2017 14:15:42 +0100

openvpn (2.4.0-3) unstable; urgency=medium

  * You shall run debdiff even when the change is only a word, or you may find
    out the word was not there...
  * Add liblz4-dev to Build-Depends. (Closing: #849563 for real)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 29 Dec 2016 09:41:17 +0100

openvpn (2.4.0-2) unstable; urgency=medium

  * Enable lz4 compression (Closes: #849563).
    Thanks Laurent Bigonville for noticing.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 28 Dec 2016 18:43:12 +0100

openvpn (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches to new upstream coding style.
  * debian/NEWS.Debian. Add note on removed tls-remote option
    (Closes: #848062)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 27 Dec 2016 18:29:43 +0100

openvpn (2.4~rc1-2) unstable; urgency=medium

  * Make lintian happy:
    - Update debian/watch
    - Remove .gitignore file from samples
    - Add Depends on lsb-base
    - Move bash completion file to /usr/share
    - Remove unneeded dot in manpage
    - Bump Standards-Version
  * debian/patches/kfreebsd_support: Update patch for 2.4 series.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 12 Dec 2016 20:20:09 +0100

openvpn (2.4~rc1-1) unstable; urgency=medium

  * New upstream release
  * Update close_socket_before_scripts.patch to upstream's version
  * Add /etc/openvpn/client & /etc/openvpn/server directories for
    upstream's systemd units.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 10 Dec 2016 19:06:15 +0100

openvpn (2.4~beta1-1) experimental; urgency=medium

  * New upstream release
  * Change Build-Dep on libssl-dev to libssl1.0-dev since upstream is not
    transitioning to libssl1.1 yet.
  * Moved to debhelper compat 9.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 21 Nov 2016 10:15:40 +0100

openvpn (2.3.11-2) unstable; urgency=medium


